diff -r -c -N irc2.8.21+CSr11/include/comstud.h irc2.8.21+CSr12/include/comstud.h
*** irc2.8.21+CSr11/include/comstud.h	Mon Aug 28 12:48:36 1995
--- irc2.8.21+CSr12/include/comstud.h	Sat Sep 23 22:50:55 1995
***************
*** 178,184 ****
                         want them logged
  */
  
! #define FNAME_FAILED_OPER "/home/irc/irc2.8.21+CSr11/lib/logs/failed.log"
  
  /* CLIENT_NOTICES - define this if you wish to see client connecting
                      and exiting notices via /umode +c
--- 178,184 ----
                         want them logged
  */
  
! #define FNAME_FAILED_OPER "/home/irc/irc2.8.21+CSr12/lib/logs/failed.log"
  
  /* CLIENT_NOTICES - define this if you wish to see client connecting
                      and exiting notices via /umode +c
***************
*** 262,268 ****
                      and you wish to log clones
  */
  
! #define FNAME_CLONELOG "/home/irc/irc2.8.21+CSr11/logs/clones.log"
  
  /* DEFAULT_IDLELIMIT  - if you have CHECK_IDLE defined above,
                          this value is the default # a client
--- 262,268 ----
                      and you wish to log clones
  */
  
! #define FNAME_CLONELOG "/home/irc/irc2.8.21+CSr12/logs/clones.log"
  
  /* DEFAULT_IDLELIMIT  - if you have CHECK_IDLE defined above,
                          this value is the default # a client
diff -r -c -N irc2.8.21+CSr11/include/config.h irc2.8.21+CSr12/include/config.h
*** irc2.8.21+CSr11/include/config.h	Mon Aug 28 12:48:45 1995
--- irc2.8.21+CSr12/include/config.h	Sat Sep 23 22:51:05 1995
***************
*** 107,114 ****
   * these are only the recommened names and paths. Change as needed.
   * You must define these to something, even if you don't really want them.
   */
! #define	DPATH	"/home/irc/irc2.8.21+CSr11/lib"	/* dir where all ircd stuff is */
! #define	SPATH	"/home/irc/irc2.8.21+CSr11/lib/ircd"
  #define	CPATH	"ircd.conf"	/* server configuration file */
  #define	MPATH	"ircd.motd"	/* server MOTD file */
  #define	LPATH	"ircd.log" /* Where the debug file lives, if DEBUGMODE */
--- 107,114 ----
   * these are only the recommened names and paths. Change as needed.
   * You must define these to something, even if you don't really want them.
   */
! #define	DPATH	"/home/irc/irc2.8.21+CSr12/lib"	/* dir where all ircd stuff is */
! #define	SPATH	"/home/irc/irc2.8.21+CSr12/lib/ircd"
  #define	CPATH	"ircd.conf"	/* server configuration file */
  #define	MPATH	"ircd.motd"	/* server MOTD file */
  #define	LPATH	"ircd.log" /* Where the debug file lives, if DEBUGMODE */
***************
*** 122,129 ****
   * successful use of /oper.  These are either full paths or files within DPATH.
   */
  
! #define FNAME_USERLOG "/home/irc/irc2.8.21+CSr11/logs/users.log" /* */
! #define FNAME_OPERLOG "/home/irc/irc2.8.21+CSr11/logs/opers.log" /* */
  
  /* CHROOTDIR
   *
--- 122,129 ----
   * successful use of /oper.  These are either full paths or files within DPATH.
   */
  
! #define FNAME_USERLOG "/home/irc/irc2.8.21+CSr12/logs/users.log" /* */
! #define FNAME_OPERLOG "/home/irc/irc2.8.21+CSr12/logs/opers.log" /* */
  
  /* CHROOTDIR
   *
diff -r -c -N irc2.8.21+CSr11/include/patchlevel.h irc2.8.21+CSr12/include/patchlevel.h
*** irc2.8.21+CSr11/include/patchlevel.h	Mon Aug 28 12:42:56 1995
--- irc2.8.21+CSr12/include/patchlevel.h	Sat Sep 23 22:51:13 1995
***************
*** 17,21 ****
   */
  
  #ifndef	PATCHLEVEL
! #define PATCHLEVEL "2.8.21+CSr11"
  #endif
--- 17,21 ----
   */
  
  #ifndef	PATCHLEVEL
! #define PATCHLEVEL "2.8.21+CSr12"
  #endif
diff -r -c -N irc2.8.21+CSr11/ircd/s_user.c irc2.8.21+CSr12/ircd/s_user.c
*** irc2.8.21+CSr11/ircd/s_user.c	Mon Aug 21 03:55:07 1995
--- irc2.8.21+CSr12/ircd/s_user.c	Sat Sep 23 22:50:16 1995
***************
*** 1370,1375 ****
--- 1370,1379 ----
  #else
  		wilds = (index(nick, '?') || index(nick, '*'));
  #endif
+ 		/* No longer sending replies to remote clients
+                    when wildcards are given */
+ 		if (!MyConnect(sptr) && wilds)
+ 			continue;
  		for (acptr = client; (acptr = next_client(acptr, nick));
  		     acptr = acptr->next)
  		    {
***************
*** 1383,1391 ****
  			/*
  			 * 'Rules' established for sending a WHOIS reply:
  			 *
- 			 * - only allow a remote client to get replies for
- 			 *   local clients if wildcards are being used;
- 			 *
  			 * - if wildcards are being used dont send a reply if
  			 *   the querier isnt any common channels and the
  			 *   client in question is invisible and wildcards are
--- 1387,1392 ----
***************
*** 1394,1401 ****
  			 * - only send replies about common or public channels
  			 *   the target user(s) are on;
  			 */
- 			if (!MyConnect(sptr) && !MyConnect(acptr) && wilds)
- 				continue;
  			user = acptr->user ? acptr->user : &UnknownUser;
  			name = (!*acptr->name) ? "?" : acptr->name;
  
--- 1395,1400 ----
